WordPress.org

Ready to get started?Download WordPress

Forums

Democracy 2.0 BETA Released (7 posts)

  1. jalenack
    Member
    Posted 7 years ago #

    Hey everyone,

    I'm announcing a new version of my Democracy poll plugin. Check it out at

    http://blog.jalenack.com/archives/democracy/

    I would recommend this for testing only and if you are upgrading I'd also recommend backing up your database. It will be in constant development in the next few days. Please post any troubles you have here.

  2. jalenack
    Member
    Posted 7 years ago #

    Quick update:

    Added <meta name='robots' value='none'> for pages accessed with query string additions generated by democracy, neutralizing the SEO problem.

    Fixed a potential problem with upgrading and sql errors.

  3. bryan868
    Member
    Posted 7 years ago #

    Any chance you'll be updating Democracy so it's fully functional with WordPress 2.1?

  4. bryan868
    Member
    Posted 7 years ago #

    I see Democracy version 1 and 2 is on the compatibility list, but I've read that folks are still having problems with it working on 2.1.

  5. projectego
    Member
    Posted 7 years ago #

    Looks good - I'll definitely check this out. Thanks, jalenack!

  6. kister
    Member
    Posted 7 years ago #

    Does it still have the problem of creating duplicate content?

  7. jamessnell
    Member
    Posted 7 years ago #

    Any updates for Democracy on WP 2.1? It looks to me like it's nearly functional. Though when I enable the democracy plugin in wp-admin - it fails - yet still appears to be loaded. The widget enables without obvious incident. But the Democracy management interface doesn't appear under the "Manage" menu. And the widget simply displays the error message: "

    WordPress database error: [Table 'dawningmain.wp_democracyQ' doesn't exist]
    SELECT * FROM wp_democracyQ WHERE current = 1 LIMIT 1
    "

    Which I can only assume would be resolved by being able to access the Democracy admin tool under wp-admin.

    The error message I get when trying to enable Democracy is: "Plugin could not be activated because it triggered a fatal error."

    My apache error log had the following line appended when this error occured:

    "PHP Fatal error: Allowed memory size of 8388608 bytes exhausted (tried to allocate 58368 bytes) in /www/dawning.ca/wp-admin/upgrade-functions.php on line 444, referer: http://www.dawning.ca/wp-admin/plugins.php?deactivate=true"

    Maybe this isn't the plugin.. I'm not really that sure.

Topic Closed

This topic has been closed to new replies.

About this Topic